#pragma once
#include "dxframe.hpp"

class LoadX : public DXFrame
{
public:
	LoadX(void);
	virtual ~LoadX(void);

	virtual HRESULT onCreateDevice();
	virtual void onDestroyDevice();
	virtual void onFrameMove( double fTime, float fElapsedTime );
	virtual void onFrameRender( double fTime, float fElapsedTime );
	virtual void keyboardProc( UINT nChar, bool bKeyDown, bool bAltDown );
	virtual void mouseProc(bool bLeftButtonDown, bool bRightButtonDown, bool bMiddleButtonDown,
				   bool bSideButton1Down, bool bSideButton2Down, INT nMouseWheelDelta,
				   INT xPos, INT yPos );

private:
	void setLights();

	//** Uj fv
	void loadMesh();

	float dx, dy;
	float rotY, rotX;
	float rotYdelta, rotXdelta;

	//** Uj adattagok
	ID3DXMesh *mesh;
	D3DMATERIAL9 *meshMaterials;
	IDirect3DTexture9 **meshTextures;
	DWORD numMaterials;
};
